it-swarm-ja.com

カーネルのコンパイル中に「make gconfig」が機能しないのはなぜですか?

Kernel.orgからダウンロードしたVanilla Linuxカーネル3.12.14をコンパイルしようとしています。 make gconfigを試すと、次のように表示されます。

* Unable to find the GTK+ installation. Please make sure that
* the GTK+ 2.0 development package is correctly installed...
* You need gtk+-2.0, glib-2.0 and libglade-2.0.
*
make[1]: *** No rule to make target 'scripts/kconfig/.tmp_gtkcheck', needed by `scripts/kconfig/gconf.o'.  Stop.
make: *** [gconfig] Error 2

現在、私のUbuntuにはデフォルトでgtk +がないようです。dpkg -s xxxxはそれを確認しました。 Sudo apt-get install xxxxを使用してこれらの3つすべてをインストールしようとしましたが、パッケージが見つかりませんでした。

今何ができますか! (pygtkは答えですか?)

注:xxxxは、エラーで指定された3つの欠落パッケージのプレースホルダーです。

8
JuliandotNut

メッセージは非常に明確です。

* Unable to find the GTK+ installation. Please make sure that
* the GTK+ 2.0 development package is correctly installed...
* You need gtk+-2.0, glib-2.0 and libglade-2.0.
*

したがって、必要なライブラリをインストールするだけです。ほとんどの場合、これらはエラーに記載されている-devバージョンのパッケージによって提供されます。ライブラリの場合は、おそらく最初にlibを追加する必要があります。したがって、この場合:

Sudo apt-get install libgtk2.0-dev libglib2.0-dev libglade2-dev

できました。

18
Braiam